﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DirectShowLib;

namespace DirectShowCam
{
    /// <summary>
    /// Video compression parameters (when encoding WMVs)
    /// </summary>
    public class VideoCompressor
    {
        public DsDevice device;
        public int bitRate = 100000;
        public int frameWidth = 320;
        public int frameHeight = 240;
        public int fps = 30;
        public double secsPerKeyFrame = 8;
        public int quality = 100;
    }

    /// <summary>
    /// Audio compression parameters (when encoding WMVs)
    /// </summary>
    public class AudioCompressor
    {
        public DsDevice device;
        public int bitRate = 128000;
    }
}
