#!/usr/bin/ipy
import PyQuasar
import Quasar
import System

from Quasar import *
from Quasar.TypeSystem import QTypeInfo
from Quasar.Computations.Math import Matrix
from System import Single, Console

host = QuasarHost.Create("cuda", True)
host.LoadSourceModule("dwt.q")
print "The function 'dwt2d' exists: ", host.FunctionExists("dwt2d")

matrix = host.CreateMatrix(QTypeInfo.Scalar, 4, 4)
result, ptr = host.Lock(matrix, LockingModes.LOCK_WRITE, MemResources.MEMRESOURCE_CPU)
print "ptr=", ptr

host.Unlock(matrix, LockingModes.LOCK_WRITE, MemResources.MEMRESOURCE_CPU)

print "The matrix is: ", matrix

Console.ReadKey()
