import pyquasar as q

q.init("cpu")
q.import_dll("Quasar.UI.dll")

im = q.imread("lena_big.tif")
frm = q.form("Window")
frm.width = 800
disp1 = frm.add_display()
disp2 = frm.add_display()
frm.show()

q.tic()
frames = 0
while not frm.closed():
    disp1.imshow(q.randn(256,512,3),[-1,1])
    disp2.imshow(q.randn(256,512),[-1,1])
    q.pause(0)
    frames += 1

time = q.toc()
frm.close()
