{!author name="Bart Goossens"}
{!doc category="Samples/Python"}
{!title name="Load NumPy .npy file from Quasar"}

% Section: overview
%
% This program shows how a .npy file can be loaded from Quasar.
% We achieve this by loading NumPy and calling the np.load function from Quasar.

import "pyquasar.${BITNESS}.${NATIVEEXT}"

py = pyimport("builtins")
np = pyimport("numpy")

data = np.load(makepath(pwd(), "sample.npy")).from_py()
