% This program demonstrates how to use OpenCV from Quasar
% A webcam will be opened and the result is shown in an OpenCV window.

import "pyquasar.${BITNESS}.${NATIVEEXT}"

py = pyimport("builtins")
np = pyimport("numpy")
cv2 = pyimport("cv2")

cap = cv2.VideoCapture(pyint(0))
fourcc = cv2.VideoWriter_fourcc("X","V","I","D")
%out = cv2.VideoWriter("output.avi",fourcc, 20.0, pytuple([1920,1080]))

while true
    [ret, frame] =  cap.read().from_py()
    gray = cv2.cvtColor(frame, pyint(cv2.COLOR_BGR2GRAY))
    %out.write(frame)
    cv2.imshow("frame",gray)
    if and(cv2.waitKey(pyint(1)), 0FFh) == py.ord("q")
        break
	endif
endwhile
	
cap.release()
%out.release()
cv2.destroyAllWindows()
