{!author name="Bart Goossens"}
{!doc category="Samples/Graphics/Image mouse listener"}
{!title name="Attaching a mouse listener to an image display"}

% Section: Overview
%
% Example of attaching a mouse event handler to an image viewer
%
im = imread("lena_big.tif")

function [] = mouse_handler(pos)
    print pos
end

fig1=imshow(im)
fig1.onSelectPoint.add(mouse_handler)

layer = new(qvectorlayer)
fig1.addlayer(layer)

layer.setbrushcolor("white")
layer.drawstring("Use selection tool (above toolbar) to select a point", [10,10], [300,20])        