% cpp_filter3x3_main.q
%
% Demonstrates the external CUDA/C++ interface: use from Quasar 
% of a CUDA/C++ module defining a kernel function 
% (see cpp_filter3x3.cu).
%
% (c) 2013 Bart Goossens
import "cpp_filter3x3.cu"

function [] = main()

    x = imread("lena_big.tif")
    y = uninit(size(x))
    parallel_do(size(x),x,y,filter3x3)
    imshow(y,[])

endfunction