% cpp_sample2.q
%
% Demonstrates the external CUDA/C++ interface: use from Quasar 
% of a CUDA/C++ module defining two device functions
% (see cpp_sample2.cu).
%
% (c) 2013 Bart Goossens
import "cpp_sample2.cpp"

function [] = main()

    % Dynamically allocate a matrix from a device function
    % implemented in C++
    A = generate_matrix(4, 4)
    print A
    
    % Perform an operation on this matrix, treating it as 
    % a cell matrix.
    multiply_cell(A)
    print A

endfunction
