% cpp_sample_main.q
%
% Demonstrates the external CUDA/C++ interface: use from Quasar 
% of a CUDA/C++ module defining a kernel function 
% (see cpp_sample.cu).
%
% (c) 2013 Bart Goossens
import "cpp_sample.cu"

function [] = main()

    x = uninit(10,10)
    % Calling a CPU kernel function
    parallel_do(1,x,fill_matrix)
    print x

    % Calling a CPU device function
    print count_zeros(x)
    print x

endfunction