# Note: requires native compilation of dwt.q
import pyquasar as q

q.init("cpu")
q.import_native("dwt")

print(dir(q))

# We can directly access the global variables
q.print(q.sym2)

im = q.imread("lena_big.tif")
db2 = [-0.129409522551,0.224143868042,0.836516303737,0.482962913145]
y = q.dwt2d(im,q.orthogonal_wavelet(db2),1)
q.imshow(y[1])

q.run_gui()