#include <wchar.h>
typedef const wchar_t *LPCTSTR;
typedef wchar_t *LPTSTR;
typedef wchar_t TCHAR;

#define _T(x) L##x

#ifndef QUASARHOSTAPI
#ifdef QUASARHOST_DLLIMPORT
#define QUASARHOSTAPI __declspec(dllimport)
#elif defined(QUASARHOST_DLLEXPORT)
#define QUASARHOSTAPI __declspec(dllexport)
#else
#define QUASARHOSTAPI
#endif
#endif

#if defined(__cplusplus)
extern "C" {
#endif

// String utility functions
QUASARHOSTAPI LPTSTR tcsncpy(LPTSTR sTo, LPCTSTR sFrom, size_t N);
QUASARHOSTAPI LPTSTR tcschr(LPCTSTR str, TCHAR c);
QUASARHOSTAPI size_t tcsnlen(LPCTSTR str, size_t N);
QUASARHOSTAPI size_t tcslen(LPCTSTR str);
QUASARHOSTAPI int tstrcmp(LPCTSTR a, LPCTSTR b);
QUASARHOSTAPI int tstrncmp(LPCTSTR a, LPCTSTR b, size_t N);
QUASARHOSTAPI int vstprintf(LPTSTR buffer, size_t N, LPCTSTR fmt, va_list args);
QUASARHOSTAPI int stprintf(LPTSTR buffer, size_t N, LPCTSTR fmt, ...);
QUASARHOSTAPI int vtprintf(LPCTSTR fmt, va_list ap);
QUASARHOSTAPI int tprintf(LPCTSTR fmt, ...);
QUASARHOSTAPI int istdigit(TCHAR chr);
QUASARHOSTAPI int istalpha(TCHAR chr);
QUASARHOSTAPI int ttoi(LPCTSTR a);
QUASARHOSTAPI int stscanf(LPCTSTR buf, LPCTSTR fmt, ...);
QUASARHOSTAPI TCHAR totupper(TCHAR chr);
QUASARHOSTAPI TCHAR totlower(TCHAR chr);

#if defined(__cplusplus)
}
#endif
